import javax.script.*;
import java.io.FileReader;
import org.rexxla.bsf.engines.rexx.jsr223.*;

public class Test_02 	// demo evaluating a Rexx script
{
    public static void main (String args[])
    {
        ScriptEngineManager manager = new ScriptEngineManager();
        RexxScriptEngine rse=(RexxScriptEngine) manager.getEngineByName("Rexx");

        try
        {
	    String filename="test_rexx_02.rex";      // define the filename
		// add the filename to the engine's SimpleBindings
            ScriptContext sc=rse.getContext();  // get the default ScriptContext
            sc.setAttribute(ScriptEngine.FILENAME,filename,ScriptContext.ENGINE_SCOPE);
            rse.eval(new FileReader(filename), sc);  // now let us execute the Rexx script

            System.out.println("\n... about to reuse the last used Rexx script ...\n");
                // add arguments for the script to the ENGINE_SCOPE bindings
            sc.setAttribute(ScriptEngine.ARGV,
			new Object[] {"one", null, java.util.Calendar.getInstance()},
			ScriptContext.ENGINE_SCOPE);
                // the RexxScriptEngine always compiles the last script and i
		// makes it available with the getCurrentScript() method
            rse.getCurrentScript().eval();         // now let us re-execute the Rexx script
        }
        catch (Exception exc)
        {
            System.err.println(exc);
            System.exit(-1);
        }
    }
}

